Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.bpm.runtime
Class ProcessInstanceUnavailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.bpm.runtime.ProcessInstanceUnavailableException

All Implemented Interfaces:
  Serializable

    public class ProcessInstanceUnavailableException

extends Exception

This exception is thrown when a process instance could not be invoked because it is in a state which prevents invocation.

See Also:
  Serialized Form

Constructor Summary
`ProcessInstanceUnavailableException(String serviceURI, String instanceId, ProcessStatus status)`

Method Summary
`String` | `getInstanceId()` Returns the instance (conversation) id of the instance that is not available.
`String` | `getServiceURI()` Returns the Service URI of the instance that is not available.
`ProcessStatus` | `getStatus()` Returns the status that is causing this process to be unavailable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessInstanceUnavailableException

    public ProcessInstanceUnavailableException(String serviceURI,
                                               String instanceId,
                                               ProcessStatus status)

Method Detail

### getServiceURI

    public String getServiceURI()

  Returns the Service URI of the instance that is not available.

### getInstanceId

    public String getInstanceId()

  Returns the instance (conversation) id of the instance that is not available.

### getStatus

    public ProcessStatus getStatus()

  Returns the status that is causing this process to be unavailable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD